Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Installation output running FixMyStreet vagrant
$ vagrant up --no-color
Bringing machine 'default' up with 'virtualbox' provider...
==> default: Importing base box 'precise64'...
==> default: Matching MAC address for NAT networking...
==> default: Setting the name of the VM: fixmystreet_default_1422611757941_92404
==> default: Clearing any previously set network interfaces...
==> default: Preparing network interfaces based on configuration...
default: Adapter 1: nat
==> default: Forwarding ports...
default: 3000 => 3000 (adapter 1)
default: 22 => 2222 (adapter 1)
==> default: Booting VM...
==> default: Waiting for machine to boot. This may take a few minutes...
default: SSH address: 127.0.0.1:2222
default: SSH username: vagrant
default: SSH auth method: private key
default: Warning: Connection timeout. Retrying...
==> default: Machine booted and ready!
==> default: Running provisioner: shell...
default: Running: inline script
==> default: stdin: is not a tty
==> default: 2015-01-30 09:58:42 URL:https://raw.githubusercontent.com/mysociety/commonlib/master/bin/install-site.sh [18775/18775] -> "install-site.sh" [1]
==> default: DEVELOPMENT INSTALL
==> default: ==== Installing fixmystreet
==> default: Updating package lists...
==> default: done
==> default: Installing some core packages...
==> default: git...
==> default: done
==> default: lockfile-progs...
==> default: done
==> default: curl...
==> default: done
==> default: dnsutils...
==> default: done
==> default: lsb-release...
==> default: done
==> default: Testing for being on EC2...
==> default: done
==> default: Testing 127.0.0.1.xip.io's IP address...
==> default: done
==> default: Generating locales...
==> default: Generating locale en_GB...
==> default: already done
==> default: done
==> default: Adding unix user...
==> default: already done
==> default: Updating APT sources...
==> default: done
==> default: Cloning or updating repository...
==> default: skipping as development install... done
==> default: Generating locale cy_GB...
==> default: Generating locales...
==> default: cy_GB.UTF-8...
==> default: done
==> default: Generation complete.
==> default: done
==> default: Generating locale nb_NO...
==> default: Generating locales...
==> default: nb_NO.UTF-8...
==> default: done
==> default: Generation complete.
==> default: done
==> default: Generating locale de_CH...
==> default: Generating locales...
==> default: de_CH.UTF-8...
==> default: done
==> default: Generation complete.
==> default: done
==> default: Installing postfix...
==> default: Adding group `postfix' (GID 112) ...
==> default: Done.
==> default: Adding system user `postfix' (UID 106) ...
==> default: Adding new user `postfix' (UID 106) with group `postfix' ...
==> default: Not creating home directory `/var/spool/postfix'.
==> default: Creating /etc/postfix/dynamicmaps.cf
==> default: Adding tcp map entry to /etc/postfix/dynamicmaps.cf
==> default: Adding sqlite map entry to /etc/postfix/dynamicmaps.cf
==> default: Adding group `postdrop' (GID 113) ...
==> default: Done.
==> default: setting myhostname: precise64
==> default: setting alias maps
==> default: setting alias database
==> default: mailname is not a fully qualified domain name. Not changing /etc/mailname.
==> default: setting destinations: precise64, localhost.localdomain, , localhost
==> default: setting relayhost:
==> default: setting mynetworks: 127.0.0.0/8 [::ffff:127.0.0.0]/104 [::1]/128
==> default: setting mailbox_size_limit: 0
==> default: setting recipient_delimiter: +
==> default: setting inet_interfaces: all
==> default: /etc/aliases does not exist, creating it.
==> default: WARNING: /etc/aliases exists, but does not have a root alias.
==> default:
==> default: Postfix is now set up with a default configuration. If you need to make
==> default: changes, edit
==> default: /etc/postfix/main.cf (and others) as needed. To view Postfix configuration
==> default: values, see postconf(1).
==> default:
==> default: After modifying main.cf, be sure to run '/etc/init.d/postfix reload'.
==> default: Running newaliases
==> default: * Stopping Postfix Mail Transport Agent postfix
==> default: ...done.
==> default: * Starting Postfix Mail Transport Agent postfix
==> default: ...done.
==> default: done
==> default: Installing packages from repository packages file...
Extract templates from packages: 21%
Extract templates from packages: 42%
Extract templates from packages: 64%
Extract templates from packages: 85%
Extract templates from packages: 100%
==> default:
==> default: Creating config file /etc/papersize with new version
==> default: Adding user postgres to group ssl-cert
==> default: Building PostgreSQL dictionaries from installed myspell/hunspell packages...
==> default: done
==> default: Setting up CSS...
==> default: WARNING: You don't have /home/vagrant/.gem/ruby/1.9.1/bin in your PATH,
==> default: gem executables will not run.
==> default: Successfully installed bundler-1.7.12
==> default: 1 gem installed
==> default: Fetching gem metadata from https://rubygems.org/.
==> default: .
==> default: .
==> default: .
==> default: .
==> default: .
==> default: .
==> default: .
==> default: .
==> default: .
==> default: .
==> default: .
==> default: .
==> default: Installing chunky_png 1.3.3
==> default: Installing fssm 0.2.10
==> default: Installing sass 3.2.19
==> default: Installing compass 0.12.7
==> default: Using bundler 1.7.12
==> default: Your bundle is complete!
==> default: It was installed into /home/vagrant/gems
==> default:
==> default:
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/barnet/barnet.css
==> default: create web/cobrands/barnet/base.css
==> default: create web/cobrands/barnet/layout.css
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/bellavistaenaccion/base.css
==> default: create web/cobrands/bellavistaenaccion/layout.css
==> default:
==> default:
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/bromley/base.css
==> default: create web/cobrands/bromley/bromley.css
==> default: create web/cobrands/bromley/layout.css
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/default/base.css
==> default: create web/cobrands/default/layout.css
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/eastsussex/base.css
==> default: create web/cobrands/eastsussex/layout.css
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/fiksgatami/base.css
==> default: create web/cobrands/fiksgatami/layout.css
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/fixamingata/base.css
==> default: create web/cobrands/fixamingata/layout.css
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/fixmindelo/base.css
==> default: create web/cobrands/fixmindelo/layout.css
==> default:
==> default:
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/fixmybarangay/base.css
==> default: create web/cobrands/fixmybarangay/layout.css
==> default: create web/cobrands/fixmybarangay/message_manager.css
==> default:
==> default:
==> default:
==> default:
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/fixmystreet/base.css
==> default: create web/cobrands/fixmystreet/dashboard.css
==> default: create web/cobrands/fixmystreet/layout.css
==> default: create web/cobrands/fixmystreet/posters.css
==> default: overwrite /home/vagrant/fixmystreet/web/cobrands/fixmystreet.com/fmsforcouncils.css
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/harrogate/base.css
==> default: create web/cobrands/harrogate/layout.css
==> default:
==> default:
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/hart/base.css
==> default: create web/cobrands/hart/hart.css
==> default: create web/cobrands/hart/layout.css
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/makemyisland/base.css
==> default: create web/cobrands/makemyisland/layout.css
==> default:
==> default:
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/oxfordshire/base.css
==> default: create web/cobrands/oxfordshire/layout.css
==> default: create web/cobrands/oxfordshire/oxfordshire.css
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/stevenage/base.css
==> default: create web/cobrands/stevenage/layout.css
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/trinidadtobago/base.css
==> default: create web/cobrands/trinidadtobago/layout.css
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/warwickshire/base.css
==> default: create web/cobrands/warwickshire/layout.css
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/zerotb/base.css
==> default: create web/cobrands/zerotb/layout.css
==> default:
==> default:
==> default:
==> default:
==> default: create web/cobrands/zurich/base.css
==> default: create web/cobrands/zurich/layout.css
==> default: overwrite /home/vagrant/fixmystreet/web/css/core.css
==> default: overwrite /home/vagrant/fixmystreet/web/css/main.css
==> default: done
==> default: Setting up default conf/general.yml file...
==> default: done
==> default: Installing required Perl modules - this may take some time
==> default: --> Working on Carton
==> default: Fetching http://www.cpan.org/authors/id/M/MI/MIYAGAWA/Carton-v1.0.12.tar.gz ...
==> default: OK
==> default: Configuring Carton-v1.0.12 ...
==> default: OK
==> default: ==> Found dependencies: App::FatPacker, CPAN::Meta, Module::Build, Path::Tiny, Try::Tiny, Getopt::Long, File::pushd, ExtUtils::MakeMaker, Moo, App::cpanminus, Module::Reader, Exception::Class, Module::CPANfile, CPAN::Meta::Requirements, JSON
==> default: --> Working on App::FatPacker
==> default: Fetching http://www.cpan.org/authors/id/H/HA/HAARG/App-FatPacker-0.010002.tar.gz ...
==> default: OK
==> default: Configuring App-FatPacker-0.010002 ...
==> default: OK
==> default: Building and testing App-FatPacker-0.010002 ...
==> default: OK
==> default: Successfully installed App-FatPacker-0.010002
==> default: --> Working on CPAN::Meta
==> default: Fetching http://www.cpan.org/authors/id/D/DA/DAGOLDEN/CPAN-Meta-2.143240.tar.gz ...
==> default: OK
==> default: Configuring CPAN-Meta-2.143240 ...
==> default: OK
==> default: ==> Found dependencies: Parse::CPAN::Meta, CPAN::Meta::YAML, JSON::PP, CPAN::Meta::Requirements
==> default: --> Working on Parse::CPAN::Meta
==> default: Fetching http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Parse-CPAN-Meta-1.4414.tar.gz ...
==> default: OK
==> default: Configuring Parse-CPAN-Meta-1.4414 ...
==> default: OK
==> default: ==> Found dependencies: CPAN::Meta::YAML, JSON::PP
==> default: --> Working on CPAN::Meta::YAML
==> default: Fetching http://www.cpan.org/authors/id/D/DA/DAGOLDEN/CPAN-Meta-YAML-0.012.tar.gz ...
==> default: OK
==> default: Configuring CPAN-Meta-YAML-0.012 ...
==> default: OK
==> default: ==> Found dependencies: Test::More
==> default: --> Working on Test::More
==> default: Fetching http://www.cpan.org/authors/id/E/EX/EXODIST/Test-Simple-1.001014.tar.gz ...
==> default: OK
==> default: Configuring Test-Simple-1.001014 ...
==> default: OK
==> default: Building and testing Test-Simple-1.001014 ...
==> default: OK
==> default: Successfully installed Test-Simple-1.001014 (upgraded from 0.98)
==> default: Building and testing CPAN-Meta-YAML-0.012 ...
==> default: OK
==> default: Successfully installed CPAN-Meta-YAML-0.012 (upgraded from 0.003)
==> default: --> Working on JSON::PP
==> default: Fetching http://www.cpan.org/authors/id/M/MA/MAKAMAKA/JSON-PP-2.27300.tar.gz ...
==> default: OK
==> default: Configuring JSON-PP-2.27300 ...
==> default: OK
==> default: Building and testing JSON-PP-2.27300 ...
==> default: OK
==> default: Successfully installed JSON-PP-2.27300 (upgraded from 2.27105)
==> default: Building and testing Parse-CPAN-Meta-1.4414 ...
==> default: OK
==> default: Successfully installed Parse-CPAN-Meta-1.4414 (upgraded from 1.4401)
==> default: --> Working on CPAN::Meta::Requirements
==> default: Fetching http://www.cpan.org/authors/id/D/DA/DAGOLDEN/CPAN-Meta-Requirements-2.132.tar.gz ...
==> default: OK
==> default: Configuring CPAN-Meta-Requirements-2.132 ...
==> default: OK
==> default: Building and testing CPAN-Meta-Requirements-2.132 ...
==> default: OK
==> default: Successfully installed CPAN-Meta-Requirements-2.132
==> default: Building and testing CPAN-Meta-2.143240 ...
==> default: OK
==> default: Successfully installed CPAN-Meta-2.143240 (upgraded from 2.110440)
==> default: --> Working on Module::Build
==> default: Fetching http://www.cpan.org/authors/id/L/LE/LEONT/Module-Build-0.4211.tar.gz ...
==> default: OK
==> default: Configuring Module-Build-0.4211 ...
==> default: OK
==> default: Building and testing Module-Build-0.4211 ...
==> default: OK
==> default: Successfully installed Module-Build-0.4211 (upgraded from 0.3800)
==> default: --> Working on Path::Tiny
==> default: Fetching http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Path-Tiny-0.061.tar.gz ...
==> default: OK
==> default: Configuring Path-Tiny-0.061 ...
==> default: OK
==> default: ==> Found dependencies: File::Spec
==> default: --> Working on File::Spec
==> default: Fetching http://www.cpan.org/authors/id/S/SM/SMUELLER/PathTools-3.47.tar.gz ...
==> default: OK
==> default: Configuring PathTools-3.47 ...
==> default: OK
==> default: Building and testing PathTools-3.47 ...
==> default: OK
==> default: Successfully installed PathTools-3.47 (upgraded from 3.33)
==> default: Building and testing Path-Tiny-0.061 ...
==> default: OK
==> default: Successfully installed Path-Tiny-0.061
==> default: --> Working on Try::Tiny
==> default: Fetching http://www.cpan.org/authors/id/D/DO/DOY/Try-Tiny-0.22.tar.gz ...
==> default: OK
==> default: Configuring Try-Tiny-0.22 ...
==> default: OK
==> default: Building and testing Try-Tiny-0.22 ...
==> default: OK
==> default: Successfully installed Try-Tiny-0.22
==> default: --> Working on Getopt::Long
==> default: Fetching http://www.cpan.org/authors/id/J/JV/JV/Getopt-Long-2.43.tar.gz ...
==> default: OK
==> default: Configuring Getopt-Long-2.43 ...
==> default: OK
==> default: Building and testing Getopt-Long-2.43 ...
==> default: OK
==> default: Successfully installed Getopt-Long-2.43 (upgraded from 2.38)
==> default: --> Working on File::pushd
==> default: Fetching http://www.cpan.org/authors/id/D/DA/DAGOLDEN/File-pushd-1.009.tar.gz ...
==> default: OK
==> default: Configuring File-pushd-1.009 ...
==> default: OK
==> default: Building and testing File-pushd-1.009 ...
==> default: OK
==> default: Successfully installed File-pushd-1.009
==> default: --> Working on ExtUtils::MakeMaker
==> default: Fetching http://www.cpan.org/authors/id/B/BI/BINGOS/ExtUtils-MakeMaker-7.04.tar.gz ...
==> default: OK
==> default: Configuring ExtUtils-MakeMaker-7.04 ...
==> default: OK
==> default: Building and testing ExtUtils-MakeMaker-7.04 ...
==> default: OK
==> default: Successfully installed ExtUtils-MakeMaker-7.04 (upgraded from 6.57_05)
==> default: --> Working on Moo
==> default: Fetching http://www.cpan.org/authors/id/H/HA/HAARG/Moo-1.007000.tar.gz ...
==> default: OK
==> default: Configuring Moo-1.007000 ...
==> default: OK
==> default: ==> Found dependencies: strictures, Role::Tiny, Test::Fatal, Module::Runtime, Class::Method::Modifiers, Devel::GlobalDestruction, Import::Into
==> default: --> Working on strictures
==> default: Fetching http://www.cpan.org/authors/id/H/HA/HAARG/strictures-1.005005.tar.gz ...
==> default: OK
==> default: Configuring strictures-1.005005 ...
==> default: OK
==> default: ==> Found dependencies: indirect, multidimensional, bareword::filehandles
==> default: --> Working on indirect
==> default: Fetching http://www.cpan.org/authors/id/V/VP/VPIT/indirect-0.33.tar.gz ...
==> default: OK
==> default: Configuring indirect-0.33 ...
==> default: OK
==> default: Building and testing indirect-0.33 ...
==> default: OK
==> default: Successfully installed indirect-0.33
==> default: --> Working on multidimensional
==> default: Fetching http://www.cpan.org/authors/id/I/IL/ILMARI/multidimensional-0.011.tar.gz ...
==> default: OK
==> default: ==> Found dependencies: B::Hooks::OP::Check, ExtUtils::Depends
==> default: --> Working on B::Hooks::OP::Check
==> default: Fetching http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/B-Hooks-OP-Check-0.19.tar.gz ...
==> default: OK
==> default: ==> Found dependencies: ExtUtils::Depends
==> default: --> Working on ExtUtils::Depends
==> default: Fetching http://www.cpan.org/authors/id/X/XA/XAOC/ExtUtils-Depends-0.404.tar.gz ...
==> default: OK
==> default: Configuring ExtUtils-Depends-0.404 ...
==> default: OK
==> default: Building and testing ExtUtils-Depends-0.404 ...
==> default: OK
==> default: Successfully installed ExtUtils-Depends-0.404
==> default: Configuring B-Hooks-OP-Check-0.19 ...
==> default: OK
==> default: Building and testing B-Hooks-OP-Check-0.19 ...
==> default: OK
==> default: Successfully installed B-Hooks-OP-Check-0.19
==> default: Configuring multidimensional-0.011 ...
==> default: OK
==> default: ==> Found dependencies: Lexical::SealRequireHints
==> default: --> Working on Lexical::SealRequireHints
==> default: Fetching http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/Lexical-SealRequireHints-0.007.tar.gz ...
==> default: OK
==> default: Configuring Lexical-SealRequireHints-0.007 ...
==> default: OK
==> default: Building and testing Lexical-SealRequireHints-0.007 ...
==> default: OK
==> default: Successfully installed Lexical-SealRequireHints-0.007
==> default: Building and testing multidimensional-0.011 ...
==> default: OK
==> default: Successfully installed multidimensional-0.011
==> default: --> Working on bareword::filehandles
==> default: Fetching http://www.cpan.org/authors/id/I/IL/ILMARI/bareword-filehandles-0.003.tar.gz ...
==> default: OK
==> default: Configuring bareword-filehandles-0.003 ...
==> default: OK
==> default: Building and testing bareword-filehandles-0.003 ...
==> default: OK
==> default: Successfully installed bareword-filehandles-0.003
==> default: Building and testing strictures-1.005005 ...
==> default: OK
==> default: Successfully installed strictures-1.005005
==> default: --> Working on Role::Tiny
==> default: Fetching http://www.cpan.org/authors/id/H/HA/HAARG/Role-Tiny-1.003004.tar.gz ...
==> default: OK
==> default: Configuring Role-Tiny-1.003004 ...
==> default: OK
==> default: ==> Found dependencies: Test::Fatal
==> default: --> Working on Test::Fatal
==> default: Fetching http://www.cpan.org/authors/id/R/RJ/RJBS/Test-Fatal-0.014.tar.gz ...
==> default: OK
==> default: Configuring Test-Fatal-0.014 ...
==> default: OK
==> default: Building and testing Test-Fatal-0.014 ...
==> default: OK
==> default: Successfully installed Test-Fatal-0.014
==> default: Building and testing Role-Tiny-1.003004 ...
==> default: OK
==> default: Successfully installed Role-Tiny-1.003004
==> default: --> Working on Module::Runtime
==> default: Fetching http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/Module-Runtime-0.014.tar.gz ...
==> default: OK
==> default: Configuring Module-Runtime-0.014 ...
==> default: OK
==> default: Building and testing Module-Runtime-0.014 ...
==> default: OK
==> default: Successfully installed Module-Runtime-0.014
==> default: --> Working on Class::Method::Modifiers
==> default: Fetching http://www.cpan.org/authors/id/E/ET/ETHER/Class-Method-Modifiers-2.11.tar.gz ...
==> default: OK
==> default: Configuring Class-Method-Modifiers-2.11 ...
==> default: OK
==> default: ==> Found dependencies: Test::Requires
==> default: --> Working on Test::Requires
==> default: Fetching http://www.cpan.org/authors/id/T/TO/TOKUHIROM/Test-Requires-0.08.tar.gz ...
==> default: OK
==> default: Configuring Test-Requires-0.08 ...
==> default: OK
==> default: Building and testing Test-Requires-0.08 ...
==> default: OK
==> default: Successfully installed Test-Requires-0.08
==> default: Building and testing Class-Method-Modifiers-2.11 ...
==> default: OK
==> default: Successfully installed Class-Method-Modifiers-2.11
==> default: --> Working on Devel::GlobalDestruction
==> default: Fetching http://www.cpan.org/authors/id/H/HA/HAARG/Devel-GlobalDestruction-0.13.tar.gz ...
==> default: OK
==> default: Configuring Devel-GlobalDestruction-0.13 ...
==> default: OK
==> default: ==> Found dependencies: Sub::Exporter::Progressive
==> default: --> Working on Sub::Exporter::Progressive
==> default: Fetching http://www.cpan.org/authors/id/F/FR/FREW/Sub-Exporter-Progressive-0.001011.tar.gz ...
==> default: OK
==> default: Configuring Sub-Exporter-Progressive-0.001011 ...
==> default: OK
==> default: Building and testing Sub-Exporter-Progressive-0.001011 ...
==> default: OK
==> default: Successfully installed Sub-Exporter-Progressive-0.001011
==> default: Building and testing Devel-GlobalDestruction-0.13 ...
==> default: OK
==> default: Successfully installed Devel-GlobalDestruction-0.13
==> default: --> Working on Import::Into
==> default: Fetching http://www.cpan.org/authors/id/E/ET/ETHER/Import-Into-1.002004.tar.gz ...
==> default: OK
==> default: Configuring Import-Into-1.002004 ...
==> default: OK
==> default: Building and testing Import-Into-1.002004 ...
==> default: OK
==> default: Successfully installed Import-Into-1.002004
==> default: Building and testing Moo-1.007000 ...
==> default: OK
==> default: Successfully installed Moo-1.007000
==> default: --> Working on App::cpanminus
==> default: Fetching http://www.cpan.org/authors/id/M/MI/MIYAGAWA/App-cpanminus-1.7024.tar.gz ...
==> default: OK
==> default: Configuring App-cpanminus-1.7024 ...
==> default: OK
==> default: Building and testing App-cpanminus-1.7024 ...
==> default: OK
==> default: Successfully installed App-cpanminus-1.7024
==> default: --> Working on Module::Reader
==> default: Fetching http://www.cpan.org/authors/id/H/HA/HAARG/Module-Reader-0.002003.tar.gz ...
==> default: OK
==> default: Configuring Module-Reader-0.002003 ...
==> default: OK
==> default: Building and testing Module-Reader-0.002003 ...
==> default: OK
==> default: Successfully installed Module-Reader-0.002003
==> default: --> Working on Exception::Class
==> default: Fetching http://www.cpan.org/authors/id/D/DR/DROLSKY/Exception-Class-1.39.tar.gz ...
==> default: OK
==> default: Configuring Exception-Class-1.39 ...
==> default: OK
==> default: ==> Found dependencies: Devel::StackTrace, Class::Data::Inheritable
==> default: --> Working on Devel::StackTrace
==> default: Fetching http://www.cpan.org/authors/id/D/DR/DROLSKY/Devel-StackTrace-2.00.tar.gz ...
==> default: OK
==> default: Configuring Devel-StackTrace-2.00 ...
==> default: OK
==> default: Building and testing Devel-StackTrace-2.00 ...
==> default: OK
==> default: Successfully installed Devel-StackTrace-2.00
==> default: --> Working on Class::Data::Inheritable
==> default: Fetching http://www.cpan.org/authors/id/T/TM/TMTM/Class-Data-Inheritable-0.08.tar.gz ...
==> default: OK
==> default: Configuring Class-Data-Inheritable-0.08 ...
==> default: OK
==> default: Building and testing Class-Data-Inheritable-0.08 ...
==> default: OK
==> default: Successfully installed Class-Data-Inheritable-0.08
==> default: Building and testing Exception-Class-1.39 ...
==> default: OK
==> default: Successfully installed Exception-Class-1.39
==> default: --> Working on Module::CPANfile
==> default: Fetching http://www.cpan.org/authors/id/M/MI/MIYAGAWA/Module-CPANfile-1.1000.tar.gz ...
==> default: OK
==> default: Configuring Module-CPANfile-1.1000 ...
==> default: OK
==> default: Building and testing Module-CPANfile-1.1000 ...
==> default: OK
==> default: Successfully installed Module-CPANfile-1.1000
==> default: --> Working on JSON
==> default: Fetching http://www.cpan.org/authors/id/M/MA/MAKAMAKA/JSON-2.90.tar.gz ...
==> default: OK
==> default: Configuring JSON-2.90 ...
==> default: OK
==> default: Building and testing JSON-2.90 ...
==> default: OK
==> default: Successfully installed JSON-2.90
==> default: Building and testing Carton-v1.0.12 ...
==> default: OK
==> default: Successfully installed Carton-v1.0.12
==> default: 38 distributions installed
==> default: Installing modules using /home/vagrant/fixmystreet/cpanfile (deployment mode)
==> default: Successfully installed ExtUtils-MakeMaker-6.72 (upgraded from 6.57_05)
==> default: Successfully installed YAML-0.84
==> default: Successfully installed Try-Tiny-0.16
==> default: Successfully installed Test-Fatal-0.010
==> default: Successfully installed Test-Requires-0.06
==> default: Successfully installed Module-Runtime-0.013
==> default: Successfully installed Module-Implementation-0.06
==> default: Successfully installed Params-Validate-1.07
==> default: Successfully installed List-MoreUtils-0.33
==> default: Successfully installed DateTime-Locale-0.45
==> default: Successfully installed Params-Util-1.07
==> default: Successfully installed Sub-Install-0.926
==> default: Successfully installed Data-OptList-0.107
==> default: Successfully installed Sub-Exporter-0.985
==> default: Successfully installed Test-Tester-0.109
==> default: Successfully installed Test-Output-1.01
==> default: Successfully installed Dist-CheckConflicts-0.09
==> default: Successfully installed Package-DeprecationManager-0.13
==> default: Successfully installed Package-Stash-XS-0.26
==> default: Successfully installed Package-Stash-0.34
==> default: Successfully installed Class-Load-0.20
==> default: Successfully installed Class-Singleton-1.4
==> default: Successfully installed DateTime-TimeZone-1.58
==> default: Successfully installed DateTime-0.78
==> default: Successfully installed HTTP-Date-6.02
==> default: Successfully installed DateTime-Format-HTTP-0.40
==> default: Successfully installed Class-Inspector-1.28
==> default: Successfully installed Class-Unload-0.07
==> default: Successfully installed Digest-HMAC-1.03
==> default: Successfully installed Authen-SASL-2.16
==> default: Successfully installed URI-1.60
==> default: Successfully installed common-sense-3.6
==> default: Successfully installed JSON-XS-2.33
==> default: Successfully installed LWP-MediaTypes-6.02
==> default: Successfully installed Encode-Locale-1.03
==> default: Successfully installed IO-HTML-1.00
==> default: Successfully installed HTTP-Message-6.06
==> default: Successfully installed String-CRC32-1.4
==> default: Successfully installed Cache-Memcached-1.30
==> default: Successfully installed Task-Weaken-1.04
==> default: Successfully installed MRO-Compat-0.12
==> default: Successfully installed Class-Load-XS-0.06
==> default: Successfully installed Eval-Closure-0.08
==> default: Successfully installed Sub-Name-0.05
==> default: Successfully installed Carp-1.26 (upgraded from 1.20)
==> default: Successfully installed Sub-Exporter-Progressive-0.001010
==> default: Successfully installed Devel-GlobalDestruction-0.11
==> default: Successfully installed Moose-2.0604
==> default: Successfully installed Variable-Magic-0.52
==> default: Successfully installed B-Hooks-EndOfScope-0.12
==> default: Successfully installed namespace-clean-0.24
==> default: Successfully installed namespace-autoclean-0.13
==> default: Successfully installed Sub-Uplevel-0.24
==> default: Successfully installed Test-Exception-0.31
==> default: Successfully installed MooseX-Emulate-Class-Accessor-Fast-0.00903
==> default: Successfully installed Module-Build-0.4007 (upgraded from 0.3800)
==> default: Successfully installed aliased-0.31
==> default: Successfully installed Algorithm-Diff-1.1902
==> default: Successfully installed Text-Diff-1.41
==> default: Successfully installed Test-Differences-0.61
==> default: Successfully installed CPAN-Meta-Requirements-2.122
==> default: Successfully installed JSON-PP-2.27202 (upgraded from 2.27105)
==> default: Successfully installed CPAN-Meta-YAML-0.008 (upgraded from 0.003)
==> default: Successfully installed Parse-CPAN-Meta-1.4405 (upgraded from 1.4401)
==> default: Successfully installed CPAN-Meta-2.132140 (upgraded from 2.110440)
==> default: Successfully installed CPAN-Meta-Check-0.004
==> default: Successfully installed Test-CheckDeps-0.002
==> default: Successfully installed Test-NoWarnings-1.04
==> default: Successfully installed MooseX-Role-WithOverloading-0.13
==> default: Successfully installed Data-Dump-1.21
==> default: Successfully installed Stream-Buffered-0.02
==> default: Successfully installed Test-SharedFork-0.21
==> default: Successfully installed Test-TCP-1.21
==> default: Successfully installed File-ShareDir-1.03
==> default: Successfully installed Hash-MultiValue-0.13
==> default: Successfully installed Devel-StackTrace-1.30
==> default: Successfully installed Test-Deep-0.110
==> default: Successfully installed HTTP-Body-1.17
==> default: Successfully installed Filesys-Notify-Simple-0.10
==> default: Successfully installed File-Listing-6.04
==> default: Successfully installed HTTP-Negotiate-6.01
==> default: Successfully installed HTML-Tagset-3.20
==> default: Successfully installed HTML-Parser-3.69
==> default: Successfully installed HTTP-Daemon-6.01
==> default: Successfully installed Net-HTTP-6.06
==> default: Successfully installed HTTP-Cookies-6.01
==> default: Successfully installed WWW-RobotRules-6.02
==> default: Successfully installed libwww-perl-6.05
==> default: Successfully installed Devel-StackTrace-AsHTML-0.14
==> default: Successfully installed Plack-1.0018
==> default: Successfully installed Plack-Test-ExternalServer-0.01
==> default: Successfully installed IO-stringy-2.110
==> default: Successfully installed CGI-Simple-1.113
==> default: Successfully installed Path-Class-0.31
==> default: Successfully installed Tree-Simple-1.18
==> default: Successfully installed Safe-Isa-1.000002
==> default: Successfully installed String-RewritePrefix-0.006
==> default: Successfully installed Tree-Simple-VisitorFactory-0.10
==> default: Successfully installed Test-Trap-v0.2.2
==> default: Successfully installed Getopt-Long-Descriptive-0.093
==> default: Successfully installed PathTools-3.40 (upgraded from 3.33)
==> default: Successfully installed autodie-2.20 (upgraded from 2.1001)
==> default: Successfully installed Path-Tiny-0.028
==> default: Successfully installed Tree-DAG_Node-1.11
==> default: Successfully installed Test-Warn-0.24
==> default: Successfully installed Config-Any-0.23
==> default: Successfully installed MooseX-Role-Parameterized-1.00
==> default: Successfully installed MooseX-Getopt-0.56
==> default: Successfully installed Class-Data-Inheritable-0.08
==> default: Successfully installed Carp-Clan-6.04
==> default: Successfully installed MooseX-Types-0.35
==> default: Successfully installed MooseX-MethodAttributes-0.28
==> default: Successfully installed Class-Accessor-0.34
==> default: Successfully installed HTTP-Request-AsCGI-1.2
==> default: Successfully installed Class-C3-Adopt-NEXT-0.13
==> default: Successfully installed Plack-Middleware-ReverseProxy-0.15
==> default: Successfully installed Text-SimpleTable-2.03
==> default: Successfully installed Catalyst-Runtime-5.90020
==> default: Successfully installed Test-LongString-0.15
==> default: Successfully installed HTML-Tree-5.03
==> default: Successfully installed HTTP-Server-Simple-0.44
==> default: Successfully installed HTML-Form-6.03
==> default: Successfully installed WWW-Mechanize-1.72
==> default: Successfully installed Carp-Assert-0.20
==> default: Successfully installed Carp-Assert-More-1.14
==> default: Successfully installed Test-WWW-Mechanize-1.44
==> default: Successfully installed Test-WWW-Mechanize-PSGI-0.35
==> default: Successfully installed Object-Signature-1.07
==> default: Successfully installed Catalyst-Plugin-Session-0.37
==> default: Successfully installed Catalyst-Plugin-Session-State-Cookie-0.17
==> default: Successfully installed Email-Date-Format-1.002
==> default: Successfully installed Email-Simple-2.102
==> default: Successfully installed local-lib-1.008011
==> default: Successfully installed DBI-1.623
==> default: Successfully installed Net-Domain-TLD-1.69
==> default: Successfully installed Data-Dumper-Concise-2.020
==> default: Successfully installed Test-use-ok-0.10
==> default: Successfully installed Context-Preserve-0.01
==> default: Successfully installed Class-XSAccessor-1.16
==> default: Successfully installed Class-Accessor-Grouped-0.10009
==> default: Successfully installed Clone-0.34
==> default: Successfully installed Hash-Merge-0.12
==> default: Successfully installed SQL-Abstract-1.73
==> default: Successfully installed Number-Compare-0.03
==> default: Successfully installed Text-Glob-0.09
==> default: Successfully installed File-Find-Rule-0.33
==> default: Successfully installed Data-Compare-1.22
==> default: Successfully installed Module-Find-0.11
==> default: Successfully installed Scope-Guard-0.20
==> default: Successfully installed DBD-SQLite-1.37
==> default: Successfully installed strictures-1.004004
==> default: Successfully installed Role-Tiny-1.003001
==> default: Successfully installed Class-Method-Modifiers-2.04
==> default: Successfully installed Moo-1.003000
==> default: Successfully installed Class-Accessor-Chained-0.01
==> default: Successfully installed Data-Page-2.02
==> default: Successfully installed Algorithm-C3-0.08
==> default: Successfully installed Class-C3-0.24
==> default: Successfully installed Class-C3-Componentised-1.001000
==> default: Successfully installed DBIx-Class-0.08209
==> default: Successfully installed Geography-NationalGrid-1.6
==> default: Successfully installed TimeDate-2.30
==> default: Successfully installed MailTools-2.12
==> default: Successfully installed Email-Valid-0.190
==> default: Successfully installed Test-MockTime-0.12
==> default: Successfully installed Sub-Override-0.09
==> default: Successfully installed Error-0.17019
==> default: Successfully installed Spiffy-0.31
==> default: Successfully installed Test-Base-0.60
==> default: Successfully installed XML-XPathEngine-0.13
==> default: Successfully installed HTML-TreeBuilder-XPath-0.14
==> default: Successfully installed HTML-Selector-XPath-0.15
==> default: Successfully installed UNIVERSAL-require-0.13
==> default: Successfully installed Web-Scraper-0.37
==> default: Successfully installed Catalyst-Plugin-Session-Store-Delegate-0.06
==> default: Successfully installed Catalyst-Plugin-Session-Store-DBIC-0.12
==> default: Successfully installed MIME-Types-1.38
==> default: Successfully installed Catalyst-Plugin-Static-Simple-0.30
==> default: Successfully installed Dir-Self-0.11
==> default: Successfully installed DBIx-Class-EncodedColumn-0.00011
==> default: Successfully installed Readonly-1.03
==> default: Successfully installed Tie-ToObject-0.03
==> default: Successfully installed Data-Visitor-0.28
==> default: Successfully installed Catalyst-Action-RenderView-0.16
==> default: Successfully installed Encode-2.49 (upgraded from 2.42_01)
==> default: Successfully installed Catalyst-Plugin-Unicode-Encoding-1.9
==> default: Successfully installed Catalyst-Plugin-Authentication-0.10022
==> default: Successfully installed Net-SSLeay-1.51
==> default: Successfully installed IO-Socket-SSL-1.84
==> default: Successfully installed Net-SMTP-SSL-1.01
==> default: Successfully installed Return-Value-1.666002
==> default: Successfully installed Email-Address-1.898
==> default: Successfully installed Email-Send-2.198
==> default: Successfully installed Params-Classify-0.013
==> default: Successfully installed Class-Mix-0.005
==> default: Successfully installed Crypt-Eksblowfish-0.009
==> default: Successfully installed Class-Factory-Util-1.7
==> default: Successfully installed DateTime-Format-Strptime-1.52
==> default: Successfully installed DateTime-Format-Builder-0.80
==> default: Successfully installed DateTime-Format-Pg-0.16008
==> default: Successfully installed Sort-Key-1.32
==> default: Successfully installed Catalyst-Plugin-ConfigLoader-0.32
==> default: Successfully installed Net-Server-2.007
==> default: Successfully installed HTTP-Parser-XS-0.15
==> default: Successfully installed Starman-0.3006
==> default: Successfully installed MooseX-SemiAffordanceAccessor-0.09
==> default: Successfully installed PadWalker-1.96
==> default: Successfully installed Devel-Caller-2.06
==> default: Successfully installed MooseX-Params-Validate-0.18
==> default: Successfully installed File-ChangeNotify-0.23
==> default: Successfully installed Config-General-2.51
==> default: Successfully installed MooseX-Types-Path-Class-0.06
==> default: Successfully installed MooseX-Daemonize-0.15
==> default: Successfully installed AppConfig-1.66
==> default: Successfully installed Template-Toolkit-2.24
==> default: Successfully installed YAML-Tiny-1.51
==> default: Successfully installed File-Remove-1.52
==> default: Successfully installed PAR-Dist-0.49
==> default: Successfully installed Module-ScanDeps-1.10
==> default: Successfully installed JSON-2.59
==> default: Successfully installed Module-Install-1.06
==> default: Successfully installed Catalyst-Devel-1.37
==> default: Successfully installed Net-SMTP-TLS-0.12
==> default: Successfully installed Text-CSV-1.32
==> default: Successfully installed Image-Size-3.232
==> default: Successfully installed Template-Plugin-Comma-0.04
==> default: Successfully installed Test-utf8-1.00
==> default: Successfully installed Test-WWW-Mechanize-Catalyst-0.58
==> default: Successfully installed Tie-IxHash-1.23
==> default: Successfully installed MooseX-Traits-Pluggable-0.10
==> default: Successfully installed CatalystX-Component-Traits-0.16
==> default: Successfully installed Catalyst-Component-InstancePerContext-0.001001
==> default: Successfully installed Catalyst-Model-DBIC-Schema-0.60
==> default: Successfully installed Catalyst-Authentication-Store-DBIx-Class-0.1503
==> default: Successfully installed URI-SmartURI-0.032
==> default: Successfully installed Catalyst-Plugin-SmartURI-0.036
==> default: Successfully installed Statistics-Distributions-1.02
==> default: Successfully installed Template-Timer-1.00
==> default: Successfully installed Catalyst-View-TT-0.41
==> default: Successfully installed DBD-Pg-2.19.3
==> default: Successfully installed Catalyst-Model-Adaptor-0.10
==> default: Successfully installed DateTime-Format-W3CDTF-0.06
==> default: Successfully installed DateTime-Format-ISO8601-0.08
==> default: Successfully installed DateTime-Format-Mail-0.3001
==> default: Successfully installed Test-Manifest-1.23
==> default: Successfully installed XML-Parser-2.41
==> default: Successfully installed XML-RSS-1.49
==> default: Successfully installed XML-NamespaceSupport-1.11
==> default: Successfully installed XML-SAX-Base-1.08
==> default: Successfully installed XML-SAX-0.99
==> default: Successfully installed XML-SAX-Expat-0.40
==> default: Successfully installed XML-Simple-2.20
==> default: Successfully installed Regexp-Common-2013031301
==> default: Successfully installed String-CamelCase-0.02
==> default: Successfully installed Lingua-EN-Inflect-1.895
==> default: Successfully installed Lingua-EN-Inflect-Number-1.1
==> default: Successfully installed Lingua-PT-Stemmer-0.01
==> default: Successfully installed Lingua-Stem-It-0.02
==> default: Successfully installed Snowball-Norwegian-1.2
==> default: Successfully installed Text-German-0.06
==> default: Successfully installed Snowball-Swedish-1.2
==> default: Successfully installed Lingua-Stem-Fr-0.02
==> default: Successfully installed Lingua-Stem-Snowball-Da-1.01
==> default: Successfully installed Lingua-Stem-Ru-0.01
==> default: Successfully installed Lingua-Stem-0.84
==> default: Successfully installed Memoize-ExpireLRU-0.55
==> default: Successfully installed Lingua-EN-Tagger-0.23
==> default: Successfully installed Lingua-EN-Words2Nums-0.18
==> default: Successfully installed Lingua-EN-FindNumber-1.2
==> default: Successfully installed Lingua-EN-Number-IsOrdinal-0.04
==> default: Successfully installed Lingua-EN-Inflect-Phrase-0.18
==> default: Successfully installed Text-Unidecode-0.04
==> default: Successfully installed String-ToIdentifier-EN-0.09
==> default: Successfully installed DBIx-Class-IntrospectableM2M-0.001001
==> default: Successfully installed DBIx-Class-Schema-Loader-0.07035
==> default: Successfully installed FCGI-0.74
==> default: Successfully installed File-Slurp-9999.19
==> default: Successfully installed IO-String-1.08
==> default: Successfully installed Class-Accessor-Lite-0.06
==> default: Successfully installed Test-PostgreSQL-1.05
==> default: 280 distributions installed
==> default: Complete! Modules were installed into /home/vagrant/fixmystreet/local
==> default: done
==> default: Setting up database...
==> default: ERROR: language "plpgsql" already exists
==> default: CREATE TABLE
==> default: CREATE TABLE
==> default: CREATE FUNCTION
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "sessions_pkey" for table "sessions"
==> default: CREATE TABLE
==> default: NOTICE: CREATE TABLE will create implicit sequence "users_id_seq" for serial column "users.id"
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "users_pkey" for table "users"
==> default: NOTICE: CREATE TABLE / UNIQUE will create implicit index "users_email_key" for table "users"
==> default: CREATE TABLE
==> default: NOTICE: CREATE TABLE will create implicit sequence "body_id_seq" for serial column "body.id"
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "body_pkey" for table "body"
==> default: CREATE TABLE
==> default: CREATE TABLE
==> default: CREATE INDEX
==> default: ALTER TABLE
==> default: NOTICE: CREATE TABLE will create implicit sequence "contacts_id_seq" for serial column "contacts.id"
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "contacts_pkey" for table "contacts"
==> default: CREATE TABLE
==> default: CREATE INDEX
==> default: NOTICE: CREATE TABLE will create implicit sequence "contacts_history_contacts_history_id_seq" for serial column "contacts_history.contacts_history_id"
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "contacts_history_pkey" for table "contacts_history"
==> default: CREATE TABLE
==> default: CREATE FUNCTION
==> default: CREATE TRIGGER
==> default: CREATE TRIGGER
==> default: NOTICE: CREATE TABLE will create implicit sequence "problem_id_seq" for serial column "problem.id"
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "problem_pkey" for table "problem"
==> default: CREATE TABLE
==> default: CREATE INDEX
==> default: CREATE INDEX
==> default: CREATE INDEX
==> default: NOTICE: CREATE TABLE will create implicit sequence "questionnaire_id_seq" for serial column "questionnaire.id"
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "questionnaire_pkey" for table "questionnaire"
==> default: CREATE TABLE
==> default: CREATE INDEX
==> default: CREATE FUNCTION
==> default: CREATE FUNCTION
==> default: CREATE TYPE
==> default: CREATE FUNCTION
==> default: NOTICE: CREATE TABLE will create implicit sequence "comment_id_seq" for serial column "comment.id"
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "comment_pkey" for table "comment"
==> default: CREATE TABLE
==> default: CREATE INDEX
==> default: CREATE INDEX
==> default: CREATE INDEX
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "token_pkey" for table "token"
==> default: CREATE TABLE
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "alert_type_pkey" for table "alert_type"
==> default: CREATE TABLE
==> default: NOTICE: CREATE TABLE will create implicit sequence "alert_id_seq" for serial column "alert.id"
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "alert_pkey" for table "alert"
==> default: CREATE TABLE
==> default: CREATE INDEX
==> default: CREATE INDEX
==> default: CREATE INDEX
==> default: CREATE INDEX
==> default: CREATE TABLE
==> default: CREATE INDEX
==> default: NOTICE: CREATE TABLE will create implicit sequence "partial_user_id_seq" for serial column "partial_user.id"
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "partial_user_pkey" for table "partial_user"
==> default: CREATE TABLE
==> default: CREATE INDEX
==> default: CREATE TABLE
==> default: CREATE INDEX
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "abuse_pkey" for table "abuse"
==> default: CREATE TABLE
==> default: CREATE TABLE
==> default: NOTICE: CREATE TABLE will create implicit sequence "admin_log_id_seq" for serial column "admin_log.id"
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "admin_log_pkey" for table "admin_log"
==> default: CREATE TABLE
==> default: NOTICE: CREATE TABLE will create implicit sequence "moderation_original_data_id_seq" for serial column "moderation_original_data.id"
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "moderation_original_data_pkey" for table "moderation_original_data"
==> default: NOTICE: CREATE TABLE / UNIQUE will create implicit index "moderation_original_data_comment_id_key" for table "moderation_original_data"
==> default: CREATE TABLE
==> default: NOTICE: CREATE TABLE will create implicit sequence "user_body_permissions_id_seq" for serial column "user_body_permissions.id"
==> default: NOTICE: CREATE TABLE / PRIMARY KEY will create implicit index "user_body_permissions_pkey" for table "user_body_permissions"
==> default: NOTICE: CREATE TABLE / UNIQUE will create implicit index "user_body_permissions_user_id_body_id_permission_type_key" for table "user_body_permissions"
==> default: CREATE TABLE
==> default: INSERT 0 1
==> default: INSERT 0 1
==> default: INSERT 0 1
==> default: INSERT 0 1
==> default: INSERT 0 1
==> default: INSERT 0 1
==> default: INSERT 0 1
==> default: INSERT 0 1
==> default: INSERT 0 1
==> default: INSERT 0 1
==> default: DELETE 0
==> default: INSERT 0 1
==> default: done
==> default: Creating locale .mo files
==> default: /home/vagrant/fixmystreet/bin/install-as-user: 138: /home/vagrant/fixmystreet/bin/install-as-user: commonlib/bin/gettext-makemo: not found
==> default: ****************
==> default: You can now ssh into your vagrant box: vagrant ssh
==> default: The website code is found in: ~/fixmystreet
==> default: You can run the dev server with: script/fixmystreet_app_server.pl [-d] [-r] [--fork]
matthew@Aura:fixmystreet (master %=)
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment